View Single Post
Unread 12-18-12, 08:18 PM   #7
Phanx
A Pyroguard Emberseer
 
Phanx's Avatar
AddOn Author - Click to view addons
Join Date: Mar 2006
Posts: 4,110
Can't you just make it check the latest version by default when pushing/uploading a new version?

Actually, Curse already has this multi-tiered compatibility system, and I don't really understand the point. There is just no legitimate reason for anyone to upload an addon for WoW 4.x, for example. Even China is more or less in sync with patches nowadays.

Edit: If it's too much work to auto-select it, please just add the checkboxes to the SVN push page so I can check it by hand there instead of having to click through 4 other pages to go to my addon list, go to the addon's page, edit the addon's page, check the box there, and submit.
__________________
Author/maintainer of Grid, PhanxChat, ShieldsUp, and many more.
Troubleshoot an addonTurn any code into an addonMore addon resources
Need help with your code? Post all of your actual code! Attach or paste your files.
Please don’t PM me about addon bugs or code questions. Post a comment or forum thread instead!
Phanx is offline   Reply With Quote